commit 8142029c10379002a3f00094060b78e9d55e8322
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 1 17:59:14 2021 -0700

    xorg-cf-files 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6d4d6223ef75119d5373fa4cc04161bcdb4e769
Author: Petr Písař < <ppisar@redhat.com>
Date:   Mon Mar 29 10:45:10 2021 +0200

    Imake.tmpl: Invoke "ar cq" with binutils
    
    GNU binutils 2.36 repurposed "l" modifier. It used to be ignored, now
    it specifies the dependencies of a static library to be recorded in an
    archive.
    
    That broke nas which uses imake as a build configiration tool:
    
    $ ar clq libdia.a dispatch.o dixutils.o events.o globals.o main.o resource.o swapreq.o        tables.o swaprep.o        audispatch.o auswap.o autables.o auevents.o auutil.o auconfig.o        auprocess.o  nasconf.o lex.o gram.o
    ar: libdeps specified more than once
    
    This patch changes AR command from "ar clq" to "ar cq" if binutils are
    used.
    
    <https://bugzilla.redhat.com/show_bug.cgi?id=1943274>

commit ab38ff414778dd115414da00b065c73608dfd0d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 20:17:33 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d9ac2abeabc4b39bd2c1f1d903d34b0d055a4b30
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:33:43 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d47131ed97ee491bb883c29ec0b106e8d5acfcd3
Author: Than Ngo <than@redhat.com>
Date:   Thu Jul 5 10:42:09 2018 -0400

    linux: Update LinuxDistribution == LinuxRedHat section
    
    The imake config files in Fedora Core 5+ and Red Hat Enterprise Linux 5+
    have been shipping with this patch, which has then shamefully languished
    in the srpm and never been merged. Correct this oversight.
    
    [Than wrote the patch, I just wrote the commit message - ajax]
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fbeeff56339e4d15a4a42b5e19edc12befde8f6e
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 689d873a035c05a9d6a39feb13a028762bf781e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 21 17:25:23 2015 -0800

    xorg-cf-files 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 94a91b48847cd0af8ba15e2edac7a36114974979
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 11 17:03:45 2015 -0800

    Remove os2def.db from EXTRA_DIST
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6238441708c58156015a8db66881ff49b380ba49
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 11 17:01:45 2015 -0800

    README: reword status section
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c11e021a8412d53ae01d351e66ebc07267a3ad9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 11 16:52:16 2015 -0800

    sun.cf: Sun Studio 12.0 & later compilers prefer -m32/-m64
    
    Use those flags instead of -xarch when the compiler is new enough
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 513f4a0a8f68491995c7a6a3594c51b6ab84a3a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 11 16:28:38 2015 -0800

    sun.cf: limit SysV man page sections to Solaris 2.0-11
    
    All others (including other SunOS/Solaris releases) use the
    traditional Bell Labs / BSD / Linux section numbering.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d00e1f1f5cbb05ad45cc50efce7663ab92bb225
Author: Andreas Boll <andreas.boll.dev@gmail.com>
Date:   Thu Dec 10 21:38:35 2015 +0100

    Imake.tmpl: Use gzip -n to not save the timestamps
    
    Change default GzipCmd to `gzip -n` so that packages depending on
    xutils-dev (Debian package which contains util/cf) can be built
    reproducibly.
    
    As an example xtel can be built reproducible with this patch.
    
    Fixes bug:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=789964
    
    Suggested-by: Dhole <dhole@openmailbox.org>
    Signed-off-by: Andreas Boll <andreas.boll.dev@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a7cbc7b0c905f11fe4ee20e50dc4284e116c11ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 26 11:17:55 2015 -0700

    Remove very out of date OS2 DLL mappings for no-longer-shipped makedef.cmd
    
    Haven't been updated since 2003 to reflect new functions and libraries
    and can't be used since we no longer ship xc/config/util/makedef.cmd.

commit fa898f4fe6f7dbdd7c07ab32b3b57f5d7c25901a
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Sep 6 14:05:57 2014 -0400

    Minor adjustment to the or1k patch.
    
    Protect the definition of OpenRISC1000Architecture w/in an ifndef
    like the other cpu sections do.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 3c4f28ceeefcb038eb3cf0ff65c4e80f16f26a50
Author: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
Date:   Mon Aug 11 00:18:59 2014 +0100

    Add support for OpenRISC 1000 (or1k) CPU
    
    Signed-off-by: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 5bf89151abdfdb1e5c183df9f28ee57b75e33c03
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e3275108cb618a8b42d30cff9116821e767c78b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e5be807d9e91f11d7244c8e895b6266d54125b1d
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 20 11:33:06 2014 +0100

    Always include xorg.cf for GccAliasingArgs.
    
    (regardless of server support on this plattform)
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit c91790bc2a6eb024ae09a8e78a889375fd6c74f0
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Mar 20 11:32:39 2014 +0100

    NetBSD: add AMD64Architecture, fix Arm32Architecture.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 2d586d8c0fe5190a6ab0958ee586e9a8c0a02d72
Author: Riku Voipio <riku.voipio@linaro.org>
Date:   Fri Dec 6 15:37:36 2013 -0800

    add DefaultGcc2AArch64Opt to xorg.cf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e0400cfc1d946f22efd40a6780a830d2210c83d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 22 22:23:02 2013 -0700

    xorg-cf-files 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6028282ab3270b392ca5139bf2ddb66fee683a25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 7 17:39:05 2013 -0700

    sun.cf: stop linking libraries merged into libc in later Solaris releases
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f39ce4263c1fdc9ebd56ad721bf34736a861066e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 30 12:46:18 2013 -0700

    Remove xprint_host.def
    
    Was used for controlling build of Xprint server & components in the
    old monolithic tree, not relevant for imake's remaining tasks of
    building old X programs/libraries from outside the monolith that
    haven't yet moved to a newer build system.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 31f5bd379984f78bbbecf493e6344664ef1d83df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 30 12:41:15 2013 -0700

    Trim trailing whitespace
    
    Performed with: perl -i -p -e 's{[\t ]+$}{}' *
    Verified with: git diff --ignore-space-at-eol
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d1be73c26f3636e024637d12c3befd8a9956cfc
Author: Riku Voipio <riku.voipio@linaro.org>
Date:   Mon Apr 22 14:24:13 2013 +0300

    Add Aarch64 support
    
    This patch is based on follow patch by Dirk Müller <dirk@dmllr.de> :
    
    https://build.opensuse.org/package/view_file?expand=1&file=aarch64-support.diff&package=xorg-cf-files&project=devel%3AARM%3AAArch64%3A12.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6630dfc049ab9a00807befe9e1d9853dbc703050
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 6 21:56:07 2012 -0700

    Update xorgversion.def from 7.6 to 7.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 509259ea17285eda77bdc07161298af767447e67
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 2 17:55:47 2012 -0700

    On Solaris 11 & later, use /usr/gnu/bin/install for InstallCmd
    
    Older Solaris releases use /usr/ucb/install from the SunOS 4 compatibility
    packages, but the EOL of that package has been announced now that it has
    been 20 years since the SunOS 4.x -> Solaris 2.x transition.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jay Cotton <jay.cotton@oracle.com>

commit a724e4438e76438a9524ea7b112adc9d8e075ccb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 5 20:31:00 2011 -0800

    xorg-cf-files 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e65933ae549ef31e81c0255bcf9548437f9b535
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 5 20:29:37 2011 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db69115d0795bf12b096e38a95b1668b580c93f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 5 20:28:26 2011 -0800

    Update xorgversion.def from 7.5 to 7.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de29e23f62d2c7deab4ace29d5897b36f5166076
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Aug 17 10:30:51 2010 -0700

    Add support for darwin x86_64
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d43a6b81c76a51a3d29376c86183955e4490ada0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 26 23:40:42 2010 -0700

    Add .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f2b44b45dafa01839960793b763509d7a72fd6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 26 23:37:49 2010 -0700

    Update README & COPYING files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7331d171b0d1c5da62e9f168cf59eeb19eddec19
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 26 23:21:44 2010 -0700

    Use INSTALL_CMD from xorg-macros-1.4 to make INSTALL file
    
    Also bump minimum autoconf version to 2.60 for consistency with other
    X.Org modules
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 245bf35aa111b0aace9d4de3e81c07f68776c9d4
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Thu Apr 22 22:43:39 2010 +0200

    Remove libXp from XawClientLibs
    
    libXaw has lost Xp support some times ago.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e042d1e888893f61deb1d3b30f89bd6196ac9169
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 15 16:00:33 2009 -0700

    Use font-util 1.1 macros to set FontDir and FontEncDir in site.def
    
    Replaces cygwin.cf rules to manually set these paths.
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4b8577d83788bc7613c1e27eba9d80bd8bda9c08
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 15 09:57:01 2009 -0700

    List X.Org version as 7.5 instead of 6.8.99.903
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6c7e5535955e9beb15fb4e8d3e83b7e5d9298829
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Thu Oct 15 11:25:51 2009 -0500

    cf: Update Cygwin rules
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit 46ec61a400c67120584188c035378019a5f31bc5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 14 10:40:55 2009 -0700

    xorg-cf-files 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 97c5d4f2165e23189ba56323c33b1b8c805d2efa
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 14 08:35:22 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e2b8ea83e5cd13efe30e48e87523280baa71b64d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 14 08:31:08 2009 -0700

    Change default MotifDir from /usr/X11R6 to ProjectRoot (Bug #5614)
    
    Reported-by: Bernhard Rosenkraenzer <bero@arklinux.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 47c32af372a2ed1abd746b30691fbe46b839b4c4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 21 14:19:52 2009 +1000

    Remove duplicate os2Lib.rules entry from Makefile.am.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e9b3646e9148d37c816c7efe5d3341a1b613dad7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 8 10:15:25 2009 -0400

    cf: use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Build break: Makefile.am: command not found: git-log
    
    Adding the macro in configure.ac and use it in Makefile.am
    Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
    Tested: running autogen.sh, make and 'make dist'
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 579a13903a9981a02defaa0cb2b32ea640afd574
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:15 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 66a03083cc1ceede4fe0d999533fab5247b77ad0
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Tue Dec 19 19:13:45 2006 -0600

    For DragonFly: if BuildDmx is not defined, set to YES. And
    change CompressManPages to NO. This is from "pkgsrc" which is the
    package system for DragonFly.

commit 7f58ae2adf46407b3f128fbdd29ef5eda39dc5be
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Tue Dec 19 19:01:26 2006 -0600

    For NetBSD.cf: Support AMD64/ia64 and use GccAliasingArgs (so doesn't
    lose -fno-strict-aliasing on non-i386). This is from NetBSD's pkgsrc.

commit 9c8ca4fe2066924754c3c1ea78ef0788ceaf320b
Author: Robert Millan <rmh@aybabtu.com>
Date:   Fri Jul 14 18:50:34 2006 -0700

    Bug #6310: GNUArchitecture needed for GNU/kFreeBSD
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=6310>

commit d09fa6e0b3b021cd4f16f444964f05d4bcae0557
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri May 19 18:40:24 2006 +0000

    Bump to 1.0.2

commit 3ca574a51927067f958f2eca5f106cf215aee2f5
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Apr 15 15:55:25 2006 +0000

    rman is not built by modular tree.
    DefaultRGBDatabase is now in share/X11
    Generate site.def from site.def.in to set ProjectRoot to $prefix
    Add
    Remove Bugzilla #6607. ok ajax.

commit 8a28830626893e7730acf54b8dce17bb23b44436
Author: Jeremy C. Reed <reed@reedmedia.net>
Date:   Fri Feb 3 03:02:44 2006 +0000

    INSTALLMINORREV = true for DragonFly. Help DragonFly since the package
        build system knows and uses these "minor revisions". As discussed with
        DragonFly developer, Joerg Sonnenberger. And I was told this is
        probably just an historic artifact from a.out versioning (but would be
        hard to change for FreeBSD because many ports pkg-plists would need to
        be changed).

commit c9398641220d49a3b07ba24b8f516529a3138ee7
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:07 2005 +0000

    Update package version for X11R7 release.

commit 3cdf87736d17ad8b420d5eac4a3fa07c9ef89c01
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:36:01 2005 +0000

    Stub COPYING files

commit 792492c53d200e0bac653756790434a170983ca7
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:40 2005 +0000

    Update package version number for final X11R7 release candidate.

commit c6ac2005b95ed188821fd877b467d85e1e2019e8
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 10 16:29:39 2005 +0000

    Add configure option to set config install dir.

commit cb6a93f506301182dd654618167a7c41bd53c410
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Dec 4 03:17:09 2005 +0000

    Version bump

commit 4fc8995d6bdcd564ddd94a58ea1703018c81a612
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Dec 3 17:20:48 2005 +0000

    Set DlLibrary to -lc on Solaris 10, since libdl was merged into libc.
    Replace hardcoded -ldl with DlLibrary.

commit 9582b2c69749a368b810b4789f7143bfd9648a12
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:47 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 5010028352206714829552fc1f0c7dfe7a001ec4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Nov 30 05:59:07 2005 +0000

    typo fix again. what's wrong with me?

commit 0d9083eecd632b9c670cef21896ca4b15eaeae8c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Nov 30 05:20:06 2005 +0000

    Bug #4828: Better fix for NetBSD thread lib. (Jeremy C. Reed)

commit 6216dae3d4f4a822cd4f4db7ced091b53d60d229
Author: Kean Johnson <kean@armory.com>
Date:   Mon Nov 21 01:16:18 2005 +0000

    Set HasSnprintf to NO becuase setting it to YES implies at least UNIX98,
        possibly C99 semantics, which neither OS supports.

commit 576211ebe60870752fef382e79a301ada9ca509a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Nov 18 19:25:33 2005 +0000

    typo fixes

commit d0ec042e61b1d0c4f06ae508c6a1dba44cfd0d4d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Nov 18 18:15:23 2005 +0000

    Bug #4578: Fix cross-build of Xming. (Colin Harrison)

commit 7ed28b712a7f0d3a20abdb3b111a48a9e43edbfa
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Nov 18 17:48:09 2005 +0000

    Bug #4726: Placate imake by building dummy host.def and friends. (Joshua
        Baergen)

commit 85f54a98979f99149aaebc6fc46bb3dc5277d495
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Nov 10 07:27:41 2005 +0000

    Version bump

commit 21859854d74c4c8ccce6eb1bc96e1d2374764316
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:25:56 2005 +0000

    Update package version number for X11R7 RC2 release.

commit d7adf2661c07a4fd7fddf3e7926e8ec9046dc708
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:24 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 56d6b039c20a2c1b88805a7a91a5fca78c298c5f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 6 17:27:29 2005 +0000

    "# else if" needs to be "#elif" to work properly

commit e4d1b467358ff92951fd6e91ad71256ff1d5bd95
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 6 03:49:22 2005 +0000

    Fix asm flags for 64-bit SPARC builds with Sun compilers.
    Use asm flags from sun.cf instead of duplicating settings here.

commit 589cc04561c610cc4c2c51c9286869e0ba0f04f4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Oct 23 18:56:08 2005 +0000

    Bug #4828: Fix compilation on NetBSD 2.1 and up. (Germain Le-Chapelain)

commit a05341fad262dbd199d1835e60a4ab6bbb02e82b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Oct 21 19:10:27 2005 +0000

    Bug #1466: Make building libGL with/without -fPIC configurable. (ISHIKAWA
        Mutsumi)

commit e6a39f2d971bff2625b4f32ad796e3f64091a2c6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Oct 19 03:59:43 2005 +0000

    Version bump

commit 544e3f6ee000eeb54757a9089e6e042f859b334f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:16 2005 +0000

    Update package version number for RC1 release.

commit f7060f5c922f0f3f9509f9d626997d6f322b0847
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 07:06:00 2005 +0000

    Make sure FramePtrFlags is defined

commit 6f4a4b2d624f4ccaefddb3c66e23b00567551cfd
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 02:22:33 2005 +0000

    Set HasVarRun to YES for Solaris 8 and later.

commit 00b11b1cfc2e564ce1cacccc5ee0270591e5825c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 02:07:56 2005 +0000

    #warning breaks older compilers

commit f8891a72747e9025a35efd11db764313fb5248a0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 11 01:20:38 2005 +0000

    Add Solaris definitions for SharedXcompositeReqs & SharedXevieReqs, add
        $(GLXLIB) to Solaris definition of SharedGLwReqs
    Solaris linker runtime library path flag fixes. Add -norunpath when
        building with Sun C++ compiler to avoid recording compiler build-time
        runpaths in output binaries.

commit bffa56a17ba4e737929792137808b7d293632a99
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Oct 9 21:52:42 2005 +0000

    Bug #975 <https://bugs.freedesktop.org/show_bug.cgi?id=975> Xfixes code in
        Xcursor not compiled when imake is used (Chris Lee)
    Add SharedXcursorReqs settings for Solaris

commit c5c4af735abc21e4af05e38fdfdf735958fe4d8f
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Oct 6 04:00:51 2005 +0000

    Build system for cf files

commit 1ba9f50ade27d7f30305f6445c9722a922efcc14
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Oct 5 17:50:28 2005 +0000

    Bug #4645: Fix InstallDriverSDKObjectSubModule for dlloader builds.

commit 14f48f35dc0e4ff844677d9dd7fb5d9b6eae0ffe
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 16:08:44 2005 +0000

    Bug #3814 <https://bugs.freedesktop.org/show_bug.cgi?id=3814> Patch #3461
        <https://bugs.freedesktop.org/attachment.cgi?id=3461> GNU/kFreeBSD
        monolithic build system support (Robert Millan)

commit 273c9901548b5471b4e9d4cb6c5df6ee69daf9b7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 01:17:20 2005 +0000

    Bug #2539 <https://bugs.freedesktop.org/show_bug.cgi?id=2539> Patch #1901
        <https://bugs.freedesktop.org/attachment.cgi?id=1901> Big-endian ARM
        processor support (Lennert Buytenhek)

commit b16b95eae455aebe78f098e8e9569061daf848d9
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Oct 1 16:45:48 2005 +0000

    set libxrx and libxrxnest shared revisions in X11.tmpl so that OS specific
        library template can override them if needed.

commit 8d0b1f2564a4d700544210854ebca6876325ad6f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Oct 1 16:42:11 2005 +0000

    Enable the module loader on OpenBSD/amd64. The dlopen() based loader works
        on this platform.

commit 142d9d8c35d6f86a2593b52e6edc974e9fa41d99
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 25 17:07:30 2005 +0000

    Update shared libraries revisions for OpenBSD 3.8.

commit f15d9c33bfbe99f93716c26c79bc1adbb8618a22
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Sep 22 23:54:18 2005 +0000

    Make libXau & libXdmcp default to shared instead of static libraries to
        match modular build. (See fd.o bugzilla #4200.)

commit b4699f13ed18f489f1752e8e3c9767397ecfa53d
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Sep 12 20:46:02 2005 +0000

    Remove unsafe /tmp file creation for the formatted manual page target. Just
        make the file in the current build directory instead of temp directory.
        (Jeremy C Reed).

commit 0868e628dc595b7d4a841e91b44494f4c24090c5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 31 02:12:59 2005 +0000

    Add more shared library rev settings to match Solaris ABI.

commit 7789cbb1988c00b0c5128779963aa898bf6d41e8
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Aug 29 20:54:20 2005 +0000

    Fix for StripInstalledPrograms = YES.

commit 9f87dc5696e7ba64ca47e00ae4726257210b562c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Aug 25 04:09:45 2005 +0000

    Use system curses library on Solaris for xorgcfg text mode.

commit 4ac7ca8031b1a81864e5685e7feacd18942f328f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 24 16:27:26 2005 +0000

    Allow platforms to specify SharedGLwReqs to override REQUIREDLIBS.
    Set SharedGLwReqs for Solaris to include system Motif library.

commit eb48b5fc148988d4e357646efb5411db7c90a631
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Aug 23 20:05:03 2005 +0000

    Set Solaris linker flags to include ld mapfiles to mark various sections
        non-executable for better security and aligned to allow some
        performance tuning options, like large page-size mappings.

commit 524315413d6ca9b7e80d15ea1a505c169e649b91
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 22 21:47:59 2005 +0000

    If MAKE_XKM_OUTPUT_DIR is defined, call trans_mkdir to create directory if
        it doesn't already exist. (ported from Solaris Xsun bug #5039004)
    When BuildLikeSun is set, define MAKE_XKM_OUTPUT_DIR and set the xkb output
        directory to /var/run/xkb.

commit d6d70ab227cd20afd3444bc219284951ed51996f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Aug 18 22:38:58 2005 +0000

    Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901> Patch
        #2322 <https://bugs.freedesktop.org/attachment.cgi?id=2322> Fix "make
        -n install" failure (Peter Breitenlohner)

commit 558310f364758b27158f6ce56a2524174c7a666d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Aug 9 01:01:29 2005 +0000

    - Add missing SolarisABIFlag to AMD64 ToolkitStringsABIOptions
    - Add -z combreloc to default linker flags on Solaris
    - Add -B direct to default program link flags on Solaris

commit 2ca0547f7eae659bf49fb26deaf7fb9e518c7ce9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Aug 2 03:21:40 2005 +0000

    Version bump

commit 62c2819a93c2cd30860b3cef2ae5d517f452b8b9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jul 31 17:19:19 2005 +0000

    Post-merge fixups:
    - Disable building the gamma driver
    - Fix numerous Imakefiles to get header paths and subdirs right
    - Symlink client-side GLX lib source from Mesa
    - Add new shader subdirs to the Mesa core build
    - Tweak the DDX drivers to not ask for "xf86dri.h"; they don't need it,
        since they don't generate protocol, and it was breaking the build.

commit 7ce7c908b8e5bf4fa17975c533e2d53b216dc3e1
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 27 00:34:57 2005 +0000

    Switch xload on Solaris from libkvm to libkstat so it works with both
        32-bit and 64-bit kernels, and without group kmem. Add #include
        "config.h" for modularization

commit 462fabc26459b81e681f0d5b375aa4eb5f00c68f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Jul 24 16:28:06 2005 +0000

    Version bump

commit e071e3dd51d1c6fc14c8b162e741efa64d032482
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Wed Jul 20 08:08:05 2005 +0000

    Check MakeDllModules first, as it may be defined in host.def

commit c336b1f7a65c109a63462fe3821cef393a8760d2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 18:16:18 2005 +0000

    Version bump

commit 9f59e359ca06adffac715161a31c2adae8ec3ad0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 07:59:50 2005 +0000

    Add examples for expat, fontconfig, libpng, freetype, & xterm so people
        know how to enable or disable and set paths. Update examples/comments
        for Speedo & MakeDllModules to reflect
    6.9 status/defaults.

commit 47b832e905dedc38ca1450e0a56723862e0e4fc2
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Wed Jul 6 10:13:48 2005 +0000

    Check if MakeDllModules is already defined in host.def

commit 8648262c27929ae30bfbf5a6a41558605ece9f6f
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jul 6 09:47:49 2005 +0000

    Removed AVOID_GLYPHBLT and SINGLEDEPTH from server defines.

commit decc3b0e9fb9370468341891c00358f5ac3f18be
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 5 19:06:50 2005 +0000

    Bugzilla #2901 <https://bugs.freedesktop.org/show_bug.cgi?id=2901> Patch
        #2319 <https://bugs.freedesktop.org/attachment.cgi?id=2319>
    Since many files now use non-ANSI constructs ('long long', substructure
        initializers, implicit signedness conversions, ...) you shouldn't use
        "gcc -ansi -pedantic". On our ix86-linux-gnu system this change reduces
        the number of gcc-3.4.3 warnings from originally 3034 to 1460! (Peter
        Breitenlohner)

commit 4b343e24ef493cea06c50109a561ca1c07d426b0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Jul 4 17:21:18 2005 +0000

    Set TroffCmd on Solaris to "troff -Tpost" instead of "troff -Tps" when not
        using groff.
    Bugzilla Bug 3695: <https://bugs.freedesktop.org/show_bug.cgi?id=3695>
    6.8.99.14 man page installation breaks on fc-cache.man

commit 3060778a79757b4d35cfb0282e3375d3adaaeb92
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jul 3 21:44:41 2005 +0000

    Version bump

commit ebf5048ffee5ec73d8d764332c19240380c71327
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jul 3 00:06:01 2005 +0000

    Add some build compatibility for 2.6 linux systems with 2.4 kernel headers
        installed. Allow the use of evdev for mice on 2.4 kernels.

commit e6bd918135b49df1c64ae66f89de76c5bda90963
Author: Zack Rusin <zack@kde.org>
Date:   Fri Jul 1 08:56:12 2005 +0000

    Adding the new acceleration architecture: Exa. It's meant to replace XAA in
        the coming months.

commit 5e7400fd795ca047ef693e0870511069399eb723
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jun 29 21:55:08 2005 +0000

    Set XorgManDefs properly to set __xorgversion__ in cpp'ed man pages to the
        correct release name.

commit d534ee387eeb4345289f7d156d85e602fb9aa87c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jun 29 21:51:09 2005 +0000

    Add HasGetopt (default: YES on everything but Win32 & OS/2) and
        HasGetoptLong (default: NO) flags for use in fc-list & fc-cache
        Imakefiles.
    Set HasGetoptLong to YES on Solaris 10 and later.
    Add -DHAVE_GETOPT & -DHAVE_GETOPT_LONG flags based on settings of HasGetopt
        & HasGetoptLong from Imake config files to simulate autoconf tests.
    Add FREETYPE_DEFINES to set flags to match what autoconf would set for
        Freetype 2.1.8. Add defines for HAVE_LINK, HAVE_GETUID, and
        HAVE_GETEUID for everything but OS/2 & Win32 to match autoconf tests.
        Remove fcfreetype.c from the list of files linked to extras directory.
    Use customized version of fcfreetype.c to make these needed changes:
    - Remove // comment prohibited by gcc -ansi -pedantic default flags
    - Change include path for "../fc-glyphname/fcglyphname.h" to work in
        monolithic tree layout

commit 2fca3f6e0ec0929bf0ba8b70ae7ca0e651b47ce2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jun 28 01:12:24 2005 +0000

    Add LinkerRuntimeLibraryPathFlag to EXPATLIB, FONTCONFIGLIB & LIBPNGLIB

commit 53fcd7d8577fb356d1de03d5cbf3bc02154f06e3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Jun 27 21:20:50 2005 +0000

    Change HasLibpng default back to NO - unlike FreeType & Zlib, if it's not
        present, we don't "build a potentially dangerous libpng", but instead
        just skip the xcursorgen build.

commit 5a0f73f756721d181d4e5f096a1893a22f2db1ab
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Jun 27 05:28:40 2005 +0000

    Set HasLibpng defaults correctly for various Solaris releases

commit 851202c0ba9885f71a4ab4ec3350771f1639176d
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 26 17:30:03 2005 +0000

    Version bump

commit 478c367b2ccd80f54a6e83d223578aa11bb15578
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jun 25 00:17:07 2005 +0000

    Don't use installed fontconfig on Solaris 10, because it doesn't install
        fcprivate.h which Xft1 needs. Don't use installed Motif on Solaris,
        because it depends on Solaris installed libX11.

commit 73c7c0306bcad53a0634740a49fb408fe9654afa
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jun 24 16:45:39 2005 +0000

    Fix HasExpat, HasZlib, and HasFontconfig as well for older Solaris
        releases.

commit e177178e8981b535ebd98336a3741cbea6600e61
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jun 24 05:58:13 2005 +0000

    Set HasFreetype2 to NO by default for older releases of Solaris.

commit bd71f26b4e0f3dfc7b7ba67c23f8a65469368186
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Jun 23 02:33:30 2005 +0000

    Fix LazyLoadFlag to work with Solaris 9 ld & Sun CC so the XMonolith
        tinderbox stops being so red.

commit 63e2ef9ff80b3f7c424d903f35fc007069793fdd
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 19 17:30:03 2005 +0000

    Version bump

commit 263bfd2f548d140acf16cedec42e936993b3bec1
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 15 20:03:52 2005 +0000

    Remove xf86drmCompat.c and associated cruft.

commit e99c3fe072382358539c7e2f758dbcf165e50dfc
Author: branden <branden>
Date:   Tue Jun 14 00:35:37 2005 +0000

    Fix typo that I introduced on 2005-03-06.

commit ec95c659dcab35a3cf50b9ed65444b051b055838
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 12 17:30:02 2005 +0000

    Version bump

commit 6fbd1cc1951e2c662cf738269bb53cdee5a6b8e1
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Jun 9 03:06:46 2005 +0000

    Add HasWeakSymbols & MotifDir defines to fix libGLw build on Solaris.

commit 69811d06ed3e8f44819e659af7b6e832aba795cb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 5 17:30:02 2005 +0000

    Version bump

commit bc071667b0fb98537650e75bfe595a939602be3e
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jun 1 15:48:48 2005 +0000

    Add checks for various Gcc major and minor numbers Allow build of Xming
        with mesa instead of native GL

commit 5521bfd7f5e9c49d99952b2c214c66dba5a13733
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun May 29 17:30:02 2005 +0000

    Version bump

commit ccbc36a835b884297ce0e15a3b14c0aaff5af2df
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun May 22 17:30:02 2005 +0000

    Version bump

commit a52109bea1a544fd590b04aac5a0f1c2a20e2e59
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat May 21 07:46:37 2005 +0000

    Initial experimental support for AMD64 builds on Solaris 10 x86. Improved
        support for 64-bit SPARC builds on Solaris as well.

commit b9b6f5af4acde47c6bcc666c1d05f2084a47c7d5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 18:53:43 2005 +0000

    Bug #3334: Clean up remnants from the PEX, XIE, and BEZIER extensions.

commit 2d4b7e67149ef010b519b5dee50b9392e53fd6d6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 15 20:52:39 2005 +0000

    Add settings to bring Solaris builds closer to the ones Sun packages in
        Solaris. Adds "BuildLikeSun" options for areas Sun deviates from the
        way Xorg is packaged on other platforms. See comment in sun.cf for
        details. Also, use system-provided Expat on Solaris 10 and other
        cleanups.
    Set shared library versions for Solaris builds to match versions used in
        Solaris. Add missing SharedXfixesReqs and SharedXdamageReqs.
    Add -solarisabi option to create XtStrings code compatibile with existing
        Solaris binaries. (Off by default, on if "BuildLikeSun" is set in
        sun.cf)

commit ef8c226b93cb9facaf23d67eb4744c306778cf30
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun May 15 17:30:03 2005 +0000

    Version bump

commit 8e9d255b236d86b4a197e1c17fc7ef65ff90fdfa
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed May 11 00:13:15 2005 +0000

    Bug #968: Grab the event device used by the evdev driver to avoid weird
        issues when input goes to multiple places. Restrict building the evdev
        driver to 2.6 kernels since EVIOCGRAB didn't exist in 2.4.

commit b4e7a582cab73b6901dc1fb7c806f1543e7ba29e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 8 21:13:36 2005 +0000

    Bugzilla #3243: https://bugs.freedesktop.org/show_bug.cgi?id=3243 Patch
        #2635: https://bugs.freedesktop.org/attachment.cgi?id=2635
        libGLU/glxinfo build fixes for Sun C++ compiler on Solaris:
    - Set C++ runtime library to -lCrun when using Sun C++ 5.0 or newer
    - Make .so -> .so.$REV links in $TOP/export/lib for C++ libraries on SVR4
        in the same way we already do for C libraries
    - Set libGLU required libraries list for Solaris

commit 11e3c0d3e256605fd51ac725d5fb4ed9c0f6165e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun May 8 17:30:03 2005 +0000

    Version bump

commit cd9fd77563cf7aa05a1ce32183c9aeb2c1cab870
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed May 4 04:14:57 2005 +0000

    Port X.Org to FreeBSD/powerpc. This makes a bit of math for sysmouse in
        mouse.c explicitly signed, avoiding the need for -fsigned-chars. (Peter
        Grehan, grehan at FreeBSD dot org)

commit 57d21be715c319c6d8f61e9f7366794368dd9f37
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun May 1 17:30:02 2005 +0000

    Version bump

commit 9507b98116b824275f22cdf7c4e4cb855a2f0b4a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 28 22:55:46 2005 +0000

    Bug #3080: Disable DPS in the default build.

commit bdc7f377d0d4d41bcda72588df443ba28a99e7fd
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Apr 25 13:41:19 2005 +0000

    Bug #3069: Reenable DefaultFontPath and DefaultFSFontPath which got removed
        in the BuildLowMem commit

commit 343148cfd2ff1eeafdcbdbc7eaa85be92465624a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 24 17:30:02 2005 +0000

    Version bump

commit e98a511635fb57d921fd9c51fbbfad06bc8ae859
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 24 01:34:57 2005 +0000

    Bug #2072: Always define LargePositionIndependentCFlags on sparc systems
        using gcc. (Ferris McCormick)

commit e18670775214d120b06c401772ea84703665a628
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Apr 24 01:10:12 2005 +0000

    xc/config/cf/X11.tmpl
    xc/programs/Xserver/Xext/Imakefile
    xc/programs/Xserver/dix/Imakefile
    xc/programs/Xserver/dix/main.c
    xc/programs/Xserver/dix/xpstubs.c
    xc/programs/Xserver/mi/miinitext.c
    //bugs.freedesktop.org/show_bug.cgi?id=2792) attachment #2526
        (https://bugs.freedesktop.org/attachment.cgi?id=2526) bug 2792 part II:
        Make Xprint headers in dix/, mi/, os/ and Xext/ conditional on whether
        the Xprint extension is build or not. Patch by Egbert Eich
        <eich@freedesktop.org> and Roland Mainz <roland.mainz@nrubsig.org>.

commit aca81ce7eb117e66a70150e4d8ead72f62f4616d
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sat Apr 23 20:23:44 2005 +0000

    xc/config/cf/linux.cf
    //bugs.freedesktop.org/show_bug.cgi?id=3023) attachment #2523
        (https://bugs.freedesktop.org/attachment.cgi?id=2523) Make the Xserver
        and libraries (X11, Xt, Xaw etc.) and client applications
        largefile-aware by default on Linux and Solaris (*BSD platforms and
        IRIX are aready largefile-aware by default, only the status of
        AIX+HP/UX is currently unknown). The change does not affect Xserver
        modules loaded via the ELF loader which would either require an ABI
        change or a port of the whole lf64(5) API (both steps may not be
        required as the ELF loader may go away in favour of the DL loader where
        the libc wrapper is no longer needed to access files).

commit 63a3a23faa2a63c69ab6dfa5a1247269a8556f7f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 23 19:36:48 2005 +0000

    Bug #2606: Force the Security extension to be built if the Appgroup
        extension is requested.

commit cbb796f39d49391b948f2e49068b26324178820a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 22 20:49:49 2005 +0000

    Bug #3069: Drop the BuildLowMem hack, it doesn't compile and isn't useful.

commit 475965a7a921e02f1d1f236b33c39440d3323cf8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 17 17:30:02 2005 +0000

    Version bump

commit 22319775757da20f75ae7f3eee444be23943579a
Author: Egbert Eich <eich@suse.de>
Date:   Mon Apr 11 10:41:40 2005 +0000

    Removing the compiler flag -fsigned-char which is only used for a few BE
        platforms. This still needs some testing - which can only be done when
        in the tree, but since most platforms don't need I strongly assume it's
        not needed. Ticket remains open for discussion (Bugzilla #2964).

commit d3edcf6805a6b998878838e74bc86f29f5c30507
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 10 17:30:02 2005 +0000

    Version bump

commit f2476bd3b3f72f564081305e4860f04e6bc0f064
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 3 17:18:36 2005 +0000

    Version bump

commit 2b9bc058f7a84bea892f2e587f381ed38394a83a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 2 19:07:53 2005 +0000

    Bug #2884: Canonicalize BUILDERADDR to point to @lists.freedesktop.org.

commit 05b6787efae95a12604d7da212148fdf571c361b
Author: Torrey Lyons <torrey@mrcla.com>
Date:   Fri Apr 1 01:22:07 2005 +0000

    Reenable default build of xterm since Darwin does not provide an alternate
        source for it.

commit 671e8f9e2746347ab6b9a26692afc2e12b073476
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Mar 23 21:54:49 2005 +0000

    config/cf/OpenBSDLib.tmpl Bump libfreetype2 minor after update to 2.1.9
    config/cf/X11.tmpl Update freetype version in comments

commit c536fc11b8bce3d05fdf641d61f9687cc5778a35
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Mar 23 21:14:45 2005 +0000

    OpenBSD doesn't have libpng in base system.

commit 1ac3dd04b43713d34a31d9d2d181a322290350d3
Author: Torrey Lyons <torrey@mrcla.com>
Date:   Thu Mar 17 01:12:07 2005 +0000

    Fix build on stock Mac OS X: Out of the box, Mac OS X does not include
        Freetype2, Expat, or PNG. Also global variables should be initalized in
        the Xserver.

commit 1bde5ffb781452af8bfe17061829f5dc369a3136
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Mar 7 19:27:21 2005 +0000

    xc/config/cf/Imake.rules
    xc/programs/Xserver/hw/xfree86/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/apm/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/ark/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/ati/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/chips/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/cirrus/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/cyrix/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/dummy/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/fbdev/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/glide/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/glint/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/i128/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/i2c/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/i740/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/i810/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/imstt/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/mga/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/neomagic/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/newport/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/nsc/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/nv/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/rendition/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/s3/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/s3virge/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/savage/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/siliconmotion/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/sis/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/sisusb/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/sunbw2/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/suncg14/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/suncg3/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/suncg6/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/sunleo/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/suntcx/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/tdfx/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/tga/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/trident/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/tseng/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/v4l/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/vesa/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/vga/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/via/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/vmware/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/voodoo/Imakefile
    xc/programs/Xserver/hw/xfree86/drivers/wsfb/Imakefile
    xc/programs/Xserver/hw/xfree86/input/acecad/Imakefile
    xc/programs/Xserver/hw/xfree86/input/aiptek/Imakefile
    xc/programs/Xserver/hw/xfree86/input/calcomp/Imakefile
    xc/programs/Xserver/hw/xfree86/input/citron/Imakefile
    xc/programs/Xserver/hw/xfree86/input/digitaledge/Imakefile
    xc/programs/Xserver/hw/xfree86/input/dmc/Imakefile
    xc/programs/Xserver/hw/xfree86/input/dynapro/Imakefile
    xc/programs/Xserver/hw/xfree86/input/elo2300/Imakefile
    xc/programs/Xserver/hw/xfree86/input/elographics/Imakefile
    xc/programs/Xserver/hw/xfree86/input/evdev/Imakefile
    xc/programs/Xserver/hw/xfree86/input/fpit/Imakefile
    xc/programs/Xserver/hw/xfree86/input/hyperpen/Imakefile
    xc/programs/Xserver/hw/xfree86/input/jamstudio/Imakefile
    xc/programs/Xserver/hw/xfree86/input/joystick/Imakefile
    xc/programs/Xserver/hw/xfree86/input/keyboard/Imakefile
    xc/programs/Xserver/hw/xfree86/input/magellan/Imakefile
    xc/programs/Xserver/hw/xfree86/input/magictouch/Imakefile
    xc/programs/Xserver/hw/xfree86/input/microtouch/Imakefile
    xc/programs/Xserver/hw/xfree86/input/mouse/Imakefile
    xc/programs/Xserver/hw/xfree86/input/mutouch/Imakefile
    xc/programs/Xserver/hw/xfree86/input/palmax/Imakefile
    xc/programs/Xserver/hw/xfree86/input/penmount/Imakefile
    xc/programs/Xserver/hw/xfree86/input/sample/Imakefile
    xc/programs/Xserver/hw/xfree86/input/spaceorb/Imakefile
    xc/programs/Xserver/hw/xfree86/input/summa/Imakefile
    xc/programs/Xserver/hw/xfree86/input/tek4957/Imakefile
    xc/programs/Xserver/hw/xfree86/input/ur98/Imakefile
    xc/programs/Xserver/hw/xfree86/input/void/Imakefile
    //bugs.freedesktop.org/show_bug.cgi?id=2663) attachment #2034
        (https://bugs.freedesktop.org/attachment.cgi?id=2034): Cleanup Xorg
        server module installation.

commit 16ef9714d749d494e2e11de5a499c8c12ed235f9
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Mar 7 19:00:11 2005 +0000

    xc/config/cf/X11.tmpl
    xc/extras/freetype2/ChangeLog
    xc/extras/freetype2/Jamfile
    xc/extras/freetype2/README
    xc/extras/freetype2/builds/freetype.mk
    xc/extras/freetype2/builds/unix/configure
    xc/extras/freetype2/builds/unix/configure.ac
    xc/extras/freetype2/builds/win32/visualc/freetype.dsp
    xc/extras/freetype2/builds/win32/visualc/freetype.vcproj
    xc/extras/freetype2/builds/win32/visualc/index.html
    xc/extras/freetype2/devel/ftoption.h
    xc/extras/freetype2/docs/CHANGES
    xc/extras/freetype2/docs/VERSION.DLL
    xc/extras/freetype2/docs/formats.txt
    xc/extras/freetype2/include/freetype/cache/ftcmru.h
    xc/extras/freetype2/include/freetype/config/ftmodule.h
    xc/extras/freetype2/include/freetype/config/ftoption.h
    xc/extras/freetype2/include/freetype/freetype.h
    xc/extras/freetype2/include/freetype/ftcache.h
    xc/extras/freetype2/include/freetype/ftmm.h
    xc/extras/freetype2/include/freetype/internal/ftmemory.h
    xc/extras/freetype2/include/freetype/internal/ftstream.h
    xc/extras/freetype2/include/freetype/internal/fttrace.h
    xc/extras/freetype2/include/freetype/internal/psaux.h
    xc/extras/freetype2/include/freetype/internal/services/svmm.h
    xc/extras/freetype2/include/freetype/internal/tttypes.h
    xc/extras/freetype2/include/freetype/t1tables.h
    xc/extras/freetype2/include/freetype/tttables.h
    xc/extras/freetype2/include/freetype/tttags.h
    xc/extras/freetype2/src/autofit/afangles.c
    xc/extras/freetype2/src/autofit/afdummy.c
    xc/extras/freetype2/src/autofit/afglobal.c
    xc/extras/freetype2/src/autofit/afhints.c
    xc/extras/freetype2/src/autofit/afhints.h
    xc/extras/freetype2/src/autofit/aflatin.c
    xc/extras/freetype2/src/autofit/aflatin.h
    xc/extras/freetype2/src/autofit/afloader.c
    xc/extras/freetype2/src/autofit/afmodule.c
    xc/extras/freetype2/src/autofit/aftypes.h
    xc/extras/freetype2/src/autohint/ahhint.c
    xc/extras/freetype2/src/autohint/ahmodule.c
    xc/extras/freetype2/src/base/ftbbox.c
    xc/extras/freetype2/src/base/ftdbgmem.c
    xc/extras/freetype2/src/base/ftexcept.c
    xc/extras/freetype2/src/base/ftgloadr.c
    xc/extras/freetype2/src/base/ftglyph.c
    xc/extras/freetype2/src/base/fthash.c
    xc/extras/freetype2/src/base/ftlist.c
    xc/extras/freetype2/src/base/ftmm.c
    xc/extras/freetype2/src/base/ftobject.c
    xc/extras/freetype2/src/base/ftobjs.c
    xc/extras/freetype2/src/base/ftstream.c
    xc/extras/freetype2/src/base/ftsysio.c
    xc/extras/freetype2/src/base/ftsysmem.c
    xc/extras/freetype2/src/base/ftutil.c
    xc/extras/freetype2/src/bdf/bdf.h
    xc/extras/freetype2/src/bdf/bdfdrivr.c
    xc/extras/freetype2/src/bdf/bdfdrivr.h
    xc/extras/freetype2/src/bdf/bdflib.c
    xc/extras/freetype2/src/cache/ftcbasic.c
    xc/extras/freetype2/src/cache/ftccache.c
    xc/extras/freetype2/src/cache/ftccback.h
    xc/extras/freetype2/src/cache/ftccmap.c
    xc/extras/freetype2/src/cache/ftcglyph.c
    xc/extras/freetype2/src/cache/ftcimage.c
    xc/extras/freetype2/src/cache/ftcmanag.c
    xc/extras/freetype2/src/cache/ftcsbits.c
    xc/extras/freetype2/src/cff/cffdrivr.c
    xc/extras/freetype2/src/cff/cffgload.c
    xc/extras/freetype2/src/cff/cffgload.h
    xc/extras/freetype2/src/cff/cffload.c
    xc/extras/freetype2/src/cff/cffobjs.c
    xc/extras/freetype2/src/cff/cffobjs.h
    xc/extras/freetype2/src/cff/cffparse.c
    xc/extras/freetype2/src/cid/cidgload.c
    xc/extras/freetype2/src/cid/cidgload.h
    xc/extras/freetype2/src/cid/cidobjs.c
    xc/extras/freetype2/src/cid/cidobjs.h
    xc/extras/freetype2/src/cid/cidriver.c
    xc/extras/freetype2/src/gzip/ftgzip.c
    xc/extras/freetype2/src/lzw/zopen.c
    xc/extras/freetype2/src/pcf/pcfdrivr.c
    xc/extras/freetype2/src/pcf/pcfread.c
    xc/extras/freetype2/src/pcf/pcfutil.c
    xc/extras/freetype2/src/pcf/pcfutil.h
    xc/extras/freetype2/src/pfr/pfrdrivr.c
    xc/extras/freetype2/src/pfr/pfrobjs.c
    xc/extras/freetype2/src/pfr/pfrobjs.h
    xc/extras/freetype2/src/psaux/psobjs.c
    xc/extras/freetype2/src/psaux/t1decode.c
    xc/extras/freetype2/src/raster/ftraster.c
    xc/extras/freetype2/src/sfnt/sfobjs.c
    xc/extras/freetype2/src/sfnt/ttload.c
    xc/extras/freetype2/src/tools/cordic.py
    xc/extras/freetype2/src/truetype/Jamfile
    xc/extras/freetype2/src/truetype/rules.mk
    xc/extras/freetype2/src/truetype/truetype.c
    xc/extras/freetype2/src/truetype/ttdriver.c
    xc/extras/freetype2/src/truetype/ttgload.c
    xc/extras/freetype2/src/truetype/ttgxvar.c
    xc/extras/freetype2/src/truetype/ttgxvar.h
    xc/extras/freetype2/src/truetype/ttobjs.c
    xc/extras/freetype2/src/truetype/ttobjs.h
    xc/extras/freetype2/src/truetype/ttpload.c
    xc/extras/freetype2/src/type1/t1driver.c
    xc/extras/freetype2/src/type1/t1gload.c
    xc/extras/freetype2/src/type1/t1load.c
    xc/extras/freetype2/src/type1/t1load.h
    //bugs.freedesktop.org/show_bug.cgi?id=878) attachment #2032
        (https://bugs.freedesktop.org/attachment.cgi?id=2032): Update Freetype2
        version in xc/extras/freetype2/ from V2.1.8 to V2.1.9.

commit 60bb661b7f3f09bb601fb3d7a26b911219b6a26b
Author: branden <branden>
Date:   Sun Mar 6 01:05:00 2005 +0000

    Shut up (tons of) Imake warnings on Debian systems by testing for variable
        being defined before testing its value. (Presumably the fallback
        definition of NothingOutsideProjectRoot in Imake.tmpl was intended to
        prevent this, but it apparently is not in effect yet when linux.cf is
        parsed.)

commit 9058abf16ed4cb70103e3fed991a96f7ca464e37
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Mar 2 11:20:29 2005 +0000

    xc/config/cf/DragonFly.cf
    xc/config/cf/Imake.cf
    xc/config/cf/Imakefile
    xc/config/imake/imake.c
    xc/config/imake/imakemdep.h
    xc/extras/drm/shared/drm.h
    xc/include/Xos_r.h
    xc/lib/xtrans/Xtranssock.c
    xc/programs/Xserver/hw/xfree86/os-support/xf86_OSlib.h
    xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h
    xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_agp.c
    //bugs.freedesktop.org/show_bug.cgi?id=1712) attachment #2004
        (https://bugs.freedesktop.org/attachment.cgi?id=2004): Add support for
        DragonFly/BSD platform. Patch by Jeroen Ruigrok <asmodai@tendra.org>
        and Mike Verona <firedragonfly@gmail.com>.

commit d377ff2bcd273947b70f23021815eb7e4849d70d
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Feb 18 12:44:16 2005 +0000

    Update MinGW config files:
    - Require PThreads
    - Build xkbcomp
    - Build libXext
    - Never build shared libraries

commit a29ffdca63f3ec26bd2346df0bfda5c4cc2e5b5e
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Feb 18 12:34:44 2005 +0000

    Bugzilla #2569 (https://bugs.freedesktop.org/show_bug.cgi?id=2569)
        attachment #1929 (https://bugs.freedesktop.org/attachment.cgi?id=1929):
        make build of xkbcomp configurable

commit 095476de7a5c0bc92015be7aa9851253055c26bc
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Feb 9 04:09:54 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=2507) attachment #1871
        (https://bugs.freedesktop.org/attachment.cgi?id=1871): Fix build
        problems on GNU/Hurd. Patch by Pierre Chifflier <chifflier@cpe.fr>.

commit 74ef8dffd3c60cbb9e495087327a119464985a84
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Feb 1 22:27:00 2005 +0000

    Bug #1054: dlloader modules need to statically link against libgcc.

commit 03edfc1a97d739fe69ca6eac01333855be0831eb
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Feb 1 04:06:03 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=2410) attachment #1782
        (https://bugs.freedesktop.org/attachment.cgi?id=1782): Build the XRX
        plugin only if the system supports shared libraries (which is a
        requirement for this plugin). Patch by Matthieu Herrb
        <matthieu.herrb@laas.fr>. Approved in the 2005-01-31 Xorg
        release-wranglers phone call.

commit dfdd53243be5aa616112aef0ba9b603d5f6e593a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Feb 1 02:02:31 2005 +0000

    Re-enable building of tdfx for ia64 and amd64, since libglide3 is available
        there.

commit f3c4d88c712f9feb019f61f0330308d2e12ddeb5
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jan 30 20:19:02 2005 +0000

    config/cf/OpenBSD.cf
    - Enable DoLoadableServer on amd64 and macppc, since the Dlloader works on
        these architectures
    - Reenable build of freetype, expat and xterm since OpenBSD doesn't provide
        alternative sources for those.
    - use gcc -pipe as on base system.
    config/cf/OpenBSDLib.tmpl bump libICE minor version here too.

commit 1af4609e31dac5486d9fa4c178fcf1070b2788ac
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jan 28 19:15:39 2005 +0000

    Move _IceGetPeerName into the ICE public API as IceGetPeerName; bump ICE
        soversion to 6.4 accordingly. Change SM's use to the public version.
        The old version will be retained for compatibility.

commit 4c958eb10938150986dc0f2b7748cb959fb1172b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jan 27 03:50:46 2005 +0000

    - Fix tiled framebuffer setup on Savage3D (Alex Deucher)
    - Disable building the Savage DRI driver.

commit 20ba716685c4ffa837d3a1310ae1f47f085e90dd
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jan 26 15:58:54 2005 +0000

    Define HasFreetype2 and HasZlib to NO. HasFreetype gives a warning so I
        don't care about the zlib warning anymore. xming is a standalone
        xserver and there is no zlib or freetype library on windows and don't
        want to maintain and ship extra dlls in the installer.

commit 7d3820404161a4b200729a099ee59c178c970ff8
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jan 26 15:22:08 2005 +0000

    Use "system" provided zlib instead of the builtin from extras

commit 8fcc127a03a0024f8abf7ebb5676d342783aeafd
Author: Thomas Winischhofer <thomas@winischhofer.net>
Date:   Tue Jan 25 15:55:02 2005 +0000

    Add sisusb driver

commit 8035c380f379c8412fdb055509b4ef53a81aca18
Author: Egbert Eich <eich@suse.de>
Date:   Mon Jan 24 15:34:40 2005 +0000

    Adding vgaHW module to PPC64 architecture.

commit c50418d0d4daba9403f1a69e1c75e68aaa9a263e
Author: Egbert Eich <eich@suse.de>
Date:   Mon Jan 24 15:31:36 2005 +0000

    - cvs is broken again. For some reason it ignored this file on the previous
        run.

commit 423ae2338a3c0c203e4183e4d806de49b8ad1055
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Jan 24 06:37:31 2005 +0000

    Disable potentially dangerous FreeType, zlib and libpng builds by default.
        Disable xterm and XRX builds per default.

commit 42fc70b180fe3e19423cca6182149dc6a4da834a
Author: Egbert Eich <eich@suse.de>
Date:   Fri Jan 21 14:25:26 2005 +0000

    Alan Cox requested that we check the kernel version before we use kernel
        VGA font save/restore as the required features have been added to Linux
        2.6.11 (Bugzilla #2277).

commit 5127d2c6967ddb017b3ecd1c1b1bdf06cb90e59c
Author: Egbert Eich <eich@suse.de>
Date:   Fri Jan 14 18:42:25 2005 +0000

    Let the OS instead of X save/restore text console fonts on Linux. So far we
        relied on the generic VGA layer to restore text console fonts for us
        when shutting down the server or VT switching back to the text console.
        This has worked rather well but it has some downsides on Linux: a. Many
        people use fbdev as console text mode. In this case it is not necessary
        to save/restore console fonts as the console is running in graphics
        mode anyway. b. Some architectures don't have a fbdev console but
        require a full POST of even the primary card (ie. IA64). This posting
        has to take place before we even have a chance to save anything.
        Therefore the fonts we save are the once written to the chip by POST,
        not what has been programmed by the user. c. Certain chipsets utilize
        the BIOS to perform mode setting. This may interfer with the vga
        save/restore font function in a strange way. It would therefore be
        preferrable to let the OS - which has been used to set up the font in
        the first place - take care of saving/restoring the data. I will attach
        a patch which will do so for Linux. To make this fully functional a
        small patch needs to be applied to the Linux kernel. To disable this
        feature add: #define DoOSFontRestore NO to your host.def. (Bugzilla
        #2277)

commit 91c03d24df78576aeb72643131673a7e89400a66
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jan 14 05:53:48 2005 +0000

    Use dlloader by default for loadable server builds.

commit 58b391246436139593a775e71f3d4c8ea1ca5b77
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Wed Jan 12 20:15:52 2005 +0000

    Add new evdev input driver. This driver uses the linux input layer directly
        and can handle both mice and keyboards.
    Convert this to UTF-8 again. The ChangeLog should be kept in UTF-8.

commit 512901111b4db3922450ca7d50f2a141e781a9f5
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jan 11 17:09:57 2005 +0000

    Don't build tdfx DRI driver on any platform but x86 and AXP as therequired
        Glide3 lib is only available there (if at all). Readability fixes
        (Bugzilla #2264).

commit 7c556a1d0439fb226a2011c9ff23cefdb3dc0fbb
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jan 11 15:02:55 2005 +0000

    - backing out patches that need to go in separately.

commit dd6f9662351a9321bd5712126bc3d1c2bfa9e538
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jan 11 14:59:01 2005 +0000

    Minor format fix.
    Added explanatory comment and debug code.
    Added comment.

commit 0df4096ad73b6cb7d414c7eac715ad9af3087f9f
Author: Egbert Eich <eich@suse.de>
Date:   Mon Jan 10 19:18:59 2005 +0000

    Make MIPS build rules more standard conformant: Use a macro defined in the
        project specific config file for OptimizedCDebugFlags.

commit 9744a74a1d8043d7a5b231fb1f1900943cc6867b
Author: Egbert Eich <eich@suse.de>
Date:   Mon Jan 10 18:38:30 2005 +0000

    When having a place to define DevelDrivers for AMD64 we should have
        reference it, too.

commit 6e7e2a3794875651cab962cde3f9eed34c4cab3c
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Jan 10 10:48:46 2005 +0000

    Adjust XVendorManNameString, XVendorContact, OSName and OSVendor

commit dc4ef63a7248109a4775efa64b3a0e67e5d5a3d8
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jan 4 17:27:26 2005 +0000

    - made structure of PPC64 part look more like the other structures.
    - added VBE driver to PPC64. I don't know if this really makes sense, but
        since we are building the int10 module we should also build the vbe
        module.
    - added i915 DRM driver to list of drivers for the AMD64 architecture.
    - added a check for gcc versions > 3 for setting GccAliasingFlags.

commit d443986813489a72069a792f9b65d68ddadef8f5
Author: nolan <nolan>
Date:   Tue Dec 14 01:41:58 2004 +0000

    Build the vmware driver on x86-64.

commit 1d42453962c81a2d1a7766aef0a31f98e4dbb791
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Dec 12 21:00:44 2004 +0000

    Bug #1054: When building dlloader modules, don't link them against any
        other shared libs.

commit 4f8d31784ccedef09db9c1816d87f3d9bcbbdd0a
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Dec 10 12:46:43 2004 +0000

    Build libfontenc static

commit 7388d8df0677db3cff3f69598da8931517c8e2b4
Author: Torrey Lyons <torrey@mrcla.com>
Date:   Thu Dec 9 22:49:43 2004 +0000

    Fix building with Apple gcc newer than version 3.3.

commit b3bf0ef296436a023ebd42ed4a399ede91e48379
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Fri Dec 3 03:33:25 2004 +0000

    xc/config/cf/X11.tmpl
    //freedesktop.org/bugzilla/show_bug.cgi?id=2002): Make location of the
        encodings/ files configurable in the build system via adding a new
        |FontEncDir|-symbol to xc/config/cf/X11.tmpl (default value is
        |$(LIBDIR)/fonts/encodings|).

commit e2ad12f41fca253c5d55614df509744a8a707ee1
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Dec 2 13:38:30 2004 +0000

    Set HasFfs to NO
    Fix link order problems with mingw. Add libdix.a after libmi.a.
    Pass -DHAS_FFS to compiler
    remove inline code for ffs(). It will link to dix/ffs.c instead added
        declaration for ffs()

commit 8c278d99fb866e4ee397e2e74d27699971960031
Author: Egbert Eich <eich@suse.de>
Date:   Tue Nov 30 08:38:44 2004 +0000

    Make Xorg the default server to install.
    Avoid PIO access on IA64. Some IA64 machine check if legacy ports outside
        the VGA range are accessed. The ATi driver however does this to probe
        for ISA Mach8/32/64. Since no IA64 has ISA slots this restriction
        should not be relevant to the user.
    Avoid recursive calls of xf86scanpci(). This function normally detects that
        it has been called before by checking if the PCI structure is filled
        out. So far if this was not the case (because PCI probing has failed
        for some reason) the function is traversed again. With the chipset
        specific PCI bus probing this can lead to an endless recursive loop as
        the post-probing code calls xf86scanpci() from within this function.
    The OS specific PCI code for Linux worked only if bus 0 was populated as it
        checked for the presence of /proc/bus/pci/00. Fixed to check for
        /proc/bus/pci/<bus_to_look_for> instead.

commit d90d10fa2a5407548401de3322c4a410571e0e8a
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Thu Nov 25 21:46:11 2004 +0000

    xc/config/cf/xprint_host.def
    //freedesktop.org/bugzilla/show_bug.cgi?id=1921): Rename
        "xc/config/cf/xprint_site.def" to "xc/config/cf/xprint_host.def" to
        clarify it's purpose.

commit 60766559b63e5a248dc6acfb2aa77f05b62d4c1e
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Wed Nov 24 02:45:33 2004 +0000

    Remove this file and all references to the binary expiry code.
    Remove old obsolete include/extensions/damage.h.
    Include srvrv_ctrl(xfree86) in macintosh US XKB symbol file so VT switching
        works again on mac (#1872).
    Remove out of place #define's of printf to xf86printf. This definition
        should only be in xfree86/os-support/xf86_libc.h

commit 74a44263278c3282fe18e829cce93061fbacf4bd
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 22 14:33:28 2004 +0000

    Enable building of multiwindow and glx on win32

commit 6d9d0abfa7be8f05088c43d2ba6eb209446f1f50
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 15 15:06:52 2004 +0000

    Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802 Added
        mingw (Win32) port

commit 6e9923ece812920d61ab96aa617f93e9cae38e01
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Thu Nov 11 15:44:30 2004 +0000

    update shared lib revisions on OpenBSD (Bug #1828).
    update references to xf86site.def in comments (Bug #1827).
    fix kbd driver for wskbd protocol and pure wscons console driver (Bug
        #1825).
    don't add '-4' to generated default file name (bug #1826).
    typo in resource name (XFree86 bug #1300, X.org bug #1825)

commit b79b989a954bb9e13351ad3a5d9cb33121a8177e
Author: fabbione <fabbione>
Date:   Mon Nov 8 06:35:26 2004 +0000

    programs/Xserver/hw/darwin/Imakefile
    programs/Xserver/hw/darwin/quartz/Imakefile
    programs/Xserver/hw/xfree86/common/Imakefile Rename XFREE86_CUSTOM_VERSION
        to XORG_CUSTOM_VERSION, since the former is not used anymore. Also
        ensure tohandle properly XFree86CustomVersion to not break actual build
        systems and provide smooth transition. If both XorgCustomVersion and
        XFree86CustomVersion are defined, the former is always preferred.
    config/cf/linux.cf Rename XFree86CustomVersion to XorgCustomVersion in the
        Debian Maintainer section.

commit 79a12e6d7643fd45455166a59808c3e921b72ad7
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Nov 8 00:08:21 2004 +0000

    xc/config/cf/sun.cf
    Fix the problem that libGLU was not being build on Solaris. This adds the
        missing |SharedDepCplusplusLibraryTarget| Imake rule which caused C++
        libraries to be linked with plain "ld" instead of $(CXX), resulting in
        missing symbols when linking the library into applications which do not
        link to libCrun (Sun Workshop/Forte C++ runtime library) elsewhere,
        too.

commit 80fb919ebc8c4b48735f725b074d88497381e49f
Author: Torrey Lyons <torrey@mrcla.com>
Date:   Sat Oct 30 01:41:46 2004 +0000

    Add BuildRootless Imake variable and ROOTLESS define.

commit d65fc04d19cdd14dc6c0e7c091cad298def1b2d0
Author: Egbert Eich <eich@suse.de>
Date:   Tue Oct 19 13:50:06 2004 +0000

    Enabling modules and DRI for Linux HPPA.
    Removing hpsocket.c as it isn't used anywhere any more (Bugzilla #1584).

commit 513261dc9c197c75229a2facbf024001367f88d6
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:26:35 2004 +0000

    powerpc/powerpc64 build fixes.

commit 622b89908430a6b6379eb6168def689cdccc704d
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:21:44 2004 +0000

    Made handling of DevelDrivers for x86-64 more conformant to other
        platforms.
    Compress all font encodings (Stefan Dirsch).
    Fixed warnings.
    Turn on forwarding XNSpotLocation event to XIM server in OffTheSpot and
        Root mode (bugzilla #1580, James Su).
    Added another compose key combination for the Euro symbol (Stefan Dirsch).
    Added support for UTF-8 in ja_JP, ko_KR and zh_TW locales (Mike Fabian).
    Changed default encoding for ru from KOI8-R to ISO8859-5 (Mike Fabian).
        This is the encoding that is also used by glibc. We may break other
        libcs - lets see who complains.
    Added explanation for DESTDIR to install to a different directory than /.
    Added some early bailouts to atiprobe if PCI structure pointer is NULL to
        prevent sig11.
    XV support doesn't depend on 2D acceleration any more. This patch removes
        this limitation from the NSC driver. This is a patch that I have
        committed to XFree86 a while ago but never ported over to X.Org.
        Matthieu Herrb contributed some build fixes.
    Fixing SetDPMSTimers() so that DPMS*Time == 0 disables the appropriate
        timer. This takes advantage of the fact that TimerSet() with a timeout
        argument 0 behaves like TimerCanel().
    Use /dev/xconsole (named pipe) or devpts for system logger (Werner Fink).
    Create missing links for backward compatibility to XFree86 (Stefan Dirsch).
    Changed comment to mention xorg.
    Changed cursor for the 'kill' action from XC_draped_box to XC_Pirate. If
        you don't like it we can change it back (original author unkown).
    Added 'pic' to the man page rendering command pipeline (Werner Fink).
    Added missing return value (Stefan Dirsch, Roland Mainz)

commit 006543a8a96b15226944c7169f75e5b93b1fdaae
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Oct 10 12:45:25 2004 +0000

    config/cf/OpenBSDLib.tmpl Fix shared libXaw revision numbers for OpenBSD
        3.6.

commit 88908b226ad29d406c49cc43527cf13f02d9d704
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Oct 9 22:04:13 2004 +0000

    Fix ProPolice support for OpenBSD (merge with the HasGccStackProtector
        define that was used on OpenBSD).
    remove -ansi from DefaultCCOptions on OpenBSD.

commit 20d0a214ba6d0df5259e7332ec9d43dc8642b99e
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Oct 4 21:10:42 2004 +0000

    Bugzilla #1393: Move xorg version numbers to separate config file

commit 886467b9c7f1b8cf1da6459db335bb546240510e
Author: Vladimir Dergachev <volodya@mindspring.com>
Date:   Sat Oct 2 20:22:42 2004 +0000

    Modified:
    xc/config/cf/xorg.cf Update version number and date, indicating CVS version
        This needs to be changed regularly as releases are made

commit 1f0e2fb311453a4e070d2308e3ba914893224817
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 26 17:06:45 2004 +0000

    Hook the wsfb driver and resynchonize with OpenBSD's version.
    Add wsfb, a Net- and OpenBSD specific driver for dumb bitmapped wsdisplay
        screens.

commit 0909f405a53c4c303a2c5f936db2d7c5815a19ad
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Sep 18 15:04:29 2004 +0000

    define dependencies for libXevie for *BSD systems.
    fix spelling of my first name and remove duplicate.
    build fix.

commit fa67a70928b91db0897a411e673cab00c5e61c1b
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sat Sep 18 00:30:50 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=1372 - Initial part
        of repairing XRX/Broadway support. This patch fixes both the libxrx.so
        plugin and the Xnest-based libxrxnest.so plugin and making them
        compatible to newer versions of Mozilla and removing the backwards
        compatibility hacks for old Netscape3.x versions with statically linked
        Motif.

commit 05e61f892cafaf0600460b60a142e7dc9a199958
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Sep 17 03:04:49 2004 +0000

    Bug #1192: Remove cfb support from drivers where its use is an option.
        Delete xf24_32bpp, as s3virge was the last user. Fix up some comments
        to refer to fb rather than cfb.

commit a7ce0896ca4148f9a94ab115e902a44741b31899
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Sep 15 18:37:39 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=1381 - Enable
        SecureRPC code (used for goodies such as the SUN-DES-1 user2user
        authentification scheme) on Linux if glibc version is >= 6.3.2.

commit 09e8954fd25b4402a028bed1d7b6879f9b9f11ed
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Sep 3 22:00:10 2004 +0000

    Second round of documentation updates.

commit f4da5e087a161e7ed5720aa8e7dddcb1958e8996
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Sep 3 16:18:18 2004 +0000

    First set of documentation updates.
    Include more correct fix for rootless interaction with damage (Bug #1168,
        Keith Packard).

commit 98c41c44c16ef323ca27fb4a3bbf67a2c372c4c8
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 08:48:41 2004 +0000

    Update release number and date for RC4.

commit fb69f61872ee49e881f3c3d3ba6cda85793b9148
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 05:50:38 2004 +0000

    Clean up defines for Xprint support and fix BuildServersOnly build for
        libXaw.

commit 7cc9d5b8ac1fb2177b593bdf9faf05bf5f5206d8
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 01:23:45 2004 +0000

    Enable XtransFailSoft on cygwin and Darwin (Bug #1029, Alexander Gottwald,
        Torrey T. Lyons).

commit b777c92ef8c170d170698a88284457e732b24247
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 01:10:28 2004 +0000

    Bump major version number of libXaw (Bug #1273).

commit 2d6cf1a76fc5767946de6b0a502aa9eb83d218c4
Author: Egbert Eich <eich@suse.de>
Date:   Mon Aug 30 14:26:53 2004 +0000

    Make handling of XtransFailSoft Imake variable more consistent. It needs to
        receive a boolean value now (Alexander Gottwald).

commit 4c4afd6b695ba36ab4f80ebdab9f50eb4293c203
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 30 13:32:51 2004 +0000

    AIX Imake config file updates (Bug #1234, Dan McNichol).

commit fa1df95ff98b04fce5fab2dd6975dba365617368
Author: Egbert Eich <eich@suse.de>
Date:   Mon Aug 30 12:49:50 2004 +0000

    Fix: move flag for HARD_FAIL in Xtransutil.c to the correct setting of the
        Imake variable.
    Fix Imake condiditon for LynxOS (Thomas Mueller).

commit 6f78fa3c1d3fb04ea3f0ab664fbc5253461c98fa
Author: Kevin E Martin <kem@kem.org>
Date:   Sun Aug 29 22:02:35 2004 +0000

    Fix typo that caused both X.Org and XFree86 servers to be built on
        OpenBSD/AMD64 (Bug #1231, Matthieu Herrb).

commit 0476eaa22eae191c8ccd99eced9041f77e579f0b
Author: Kevin E Martin <kem@kem.org>
Date:   Sun Aug 29 21:06:00 2004 +0000

    Fix make install when BuildServersOnly is YES (Bug #1213).
    Fix build failures when UseDeprecatedKeyboardDriver is YES and
        DoLoadableServer is NO (Bug #1229, Kristian H�gsberg).
    Fix failure when using DLL loader and LD_BIND_NOW is set (Bug #1212, Adam
        Jackson).

commit 1b8ef3efedb0b340397ed41106713f1bc1a603f2
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Aug 28 14:48:12 2004 +0000

    Update release number and date for RC3.

commit bfc1f89d07762c45b6bf0c2278b34a7eac592763
Author: Egbert Eich <eich@suse.de>
Date:   Fri Aug 27 22:47:44 2004 +0000

    Set the define XtransFailSoft to restore the old behavior to fail softly
        when socket directory cannot chowned/chmod to correct user/group. This
        should be added on a per OS basis which hasn't been done.

commit da190a65b5fd9362194e744c7028a0d806269a07
Author: Egbert Eich <eich@suse.de>
Date:   Fri Aug 27 19:27:11 2004 +0000

    Added support for LynxOS 4.0 (Thomas Mueller).
    Fix arm netwinder build (Donnie Berkholz).

commit 9e57311410f840fa235d03d24fd303e8fb319e19
Author: Egbert Eich <eich@suse.de>
Date:   Fri Aug 27 13:26:22 2004 +0000

    Fixed UseInstalled handling when cross compiling when building with
        different ProjectRoot. Set X11ProjectRoot to the ProjectRoot on the
        build host (where the binaries that run on the build host live)
        (Alexander Gottwald).

commit 97ef1ef17a506d911711cf1e1caeec9305373d6a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Aug 26 11:58:04 2004 +0000

    Fixed support for LynxOS 3.1 (LynxOS 4 will follow) (Thomas Mueller).
    2

commit 305cc11251e72aa7606ab7225b3c592732041e38
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 25 00:30:41 2004 +0000

    Fix hangs during startup with Radeon driver (Bug #1007, Sjoerd Simons).
    Fix i810 driver startup on Sony VAIO laptop (Bug #1084, Dave Airlie).
    Fix several library build problem (Bug #1147).
    Fix build problems (Bugs #1148 and #1149).

commit acd9d627415ce0beaf485823795e58cff950cf3c
Author: Jim Gettys <jg@freedesktop.org>
Date:   Sat Aug 21 02:06:44 2004 +0000

    Add Wraphelp.c to lib/Xdmcp, at long last, along with the U.S. government
        required notifications. The website notification went up first.
    Clean up Wraphelp.c so that it compiles cleanly.
    I chose the version Australian version written for R5 written by Eric
        Eay@psych.psy.uq.oz.au, as I don't know where the original one was, and
        didn't want to touch XFree86.
    Make HasXdmAuth YES for xorg.

commit e2cb5a66e2623afd55191cc99c808535365fef22
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Aug 19 16:28:42 2004 +0000

    Fix the build on Solaris/sparc to use Xorg server instead of the deprecated
        Xsun (Bug #1134, Alan Coopersmith).

commit 36bc182eeba757d0e71d2bb74cfde0982639bfd1
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 18 23:12:49 2004 +0000

    Fix libXevie build on Darwin (Bug #1124, Torrey T. Lyons).
    Fix libOSMesa build on Darwin (Bug #1125, Torrey T. Lyons).
    Fix libGL build on Mac OS X 10.3.0-3 (Bug #1127, Torrey T. Lyons).

commit 90f6c172b161fb7c9c6223518d5968c546edb1dc
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 18 00:51:32 2004 +0000

    Update release and date for RC2.

commit 795b28047c5aa9b2a5fb75883cc58b4fe29e4f8b
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Aug 17 18:15:46 2004 +0000

    Add SharedXevieReqs for cygwin (Bug #1108, Alexander Gottwald).

commit 6fe99b747fcce557106784e5c564696f57efa903
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 16 22:48:50 2004 +0000

    Update release and date for first RC.
    Fix kbd/keyboard driver for DoLoadableServer NO.
    Revert change since it is better to set date in the config files.

commit 4444b3a7053408fa144ba82ce0cda9ec015a30ce
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Mon Aug 16 16:36:14 2004 +0000

    As discussed and agreed on on the release-wranglers meeting of August 16,
        I'm committing the patch from bug #1060 to back out unconditional
        Xprint functionality.
    Back out Xprint changes.
    Revert xman to CVS of June 5, revert xlogo to CVS of May 8, revert xedit to
        CVS of April 25, to back out unconditional Xprint support.
    Fix up Xprint config logic to be like the rest of the extensions:
        BuildXprint is a one-stop option for disabling everything Xprint
        related. XprtServer controls building Xprt, BuildXprintLib controls
        building Xprint libs and BuildXprintClients controls building clients
        related to Xprint. BuiltXprint defaults to YES and the other options
        respects relevant settings, i.e. BuildServer and BuildServersOnly.
    Build Xaw regardless of BuildXprintLib setting.
    Only build xphelloworld, xplsprinters and xprehashprinterlist when
        BuildXprintClients it YES. Disable building xmore, it has always
        supported XawPrintShell.
    Make Xprint support depend on BuildXprintLib.

commit ee7e6fb1f1163fc284a6591910f15082d36c40b1
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Sun Aug 15 00:58:42 2004 +0000

    config/cf/DGUX.cf, config/cf/QNX4.cf, config/cf/bsdi.cf, config/cf/isc.cf,
        config/cf/lynx.cf, config/cf/mach.cf, config/cf/nto.cf,
        config/cf/sco5.cf, config/cf/sgi.cf, config/cf/sun.cf,
        config/cf/x386.cf Enable compilation of old keyboard driver for these
        platforms by default (#1070).

commit f38b7d995112898bb6a9d3416f73fff7e27b131b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Aug 15 00:03:36 2004 +0000

    Bug #909: Remove incorrect HasGhostScript YES from BSD config files.

commit 8c05d76f7f58a41d308af41150530d54b2942c03
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Aug 13 22:44:03 2004 +0000

    Bugzilla #1055: "#define BuildXprint NO" is broken (6.7.99.2) If XprtServer
        is undefined, but BuildXprint is defined, then BuildXprint should set
        XprtServer as well.
    Remove extra setting of XprtServer - just let it use the setting in
        X11.tmpl

commit 4ddde89177109174f7890e0c48445362ae2a74eb
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Fri Aug 13 17:21:43 2004 +0000

    Add .PHONY target when using GNU make. This will speed up make in general,
        but more importantly fix #1042.

commit e8b81528a74e3359f522fb3fba64370997ec4a7f
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Thu Aug 12 14:35:55 2004 +0000

    Update PPC64 defines to use XorgServer instead of XF86Server.

commit 75efd26d038335c215aeae4e25df8bb137c5eed1
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Thu Aug 12 13:08:25 2004 +0000

    Fix double-backslash typo.

commit c8bd3fcd1347ad69e9fb1c391b269dcb34a5b427
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Aug 12 08:53:39 2004 +0000

    bump version to 6.7.99.2

commit 3a3196703aa0ae510f6ba701fee71f96331fa7d4
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Aug 12 05:11:57 2004 +0000

    Update version and date for next snapshot

commit e03eafb0fc87f1d67d030684d5f47db1fa987ce9
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 11 23:01:30 2004 +0000

    Fix Xnest and Xdmx builds when BuildServersOnly is YES (Bug #1026,
        Alexander Gottwald, Kevin Martin).

commit 86ef3ff4848ea1959bbefe5a8587042000cd7591
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Aug 11 21:14:01 2004 +0000

    Apply PPC64 build patch (Bug #303, Mike A. Harris, Alan Coopersmith).

commit 30cfbd75c79e305dd11cf2266b1d36a042c4b513
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Aug 11 19:46:20 2004 +0000

    typo.

commit dd4bc833cef1aa085806e2e4f3b31b9a319f5012
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Aug 10 21:43:56 2004 +0000

    marked Cygwin/X as 6.7.99.1

commit 683e864a1fc60dc99f0f174836f22c0759b4e024
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Aug 10 21:37:35 2004 +0000

    Update version to 6.7.99.1 and fix problem with snapshot string generation.

commit 807e2659691df0ca28ed0d64ebb681a82e269a2e
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 9 22:37:21 2004 +0000

    Fix install problem on platforms not using xorg.cf/xfree86.cf (Bug #339,
        Harold L. Hunt II, Alexander Gottwald).
    Fix crash when using X core font in zh_CN.UTF-8 locale (Bug #368, Yu Shao,
        David Dawes).
    Fix glXMakeCurrent(Dpy, None, NULL) crash (Bug #719, Adam Jackson).
    HP-PA build fix (Bug #828, Guy Martin, Paul Anderson).
    Fix SDK build for GATOS and Wacom driver (Bug #829, Bryan Stine).
    Fix attempt to read video ROM before enabling it (Bug #843, Ivan
        Kokshaysky, Mike A. Harris).
    Fix detection of primary adapter (Bug #843, Ivan Kokshaysky, Mike A.
        Harris).
    Clarify xset man page description of how to use the keyboard repeat rate
        settings (Bug #846, Mike A. Harris).
    Fix problem where print-screen key would get remapped to sys-req in certain
        keymaps, which broke GNOME printscreen functionality (Bug #847, Owen
        Taylor).
    Fix several render problems:
    - MMIO mode support
    - Hang on IGP chips
    - VT switching hang
    - 3D render corruption (Bug #922, Hui Yu).

commit 73ba8b3a6671cdc567c1eb0900735aaf4baca771
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Aug 9 02:08:34 2004 +0000

    - Fix building without Xfixes extension
    - Fix building without Xevie
    - Fix building without DPMS
    - Fix "Extensions" section config file support to accept general boolean
        options

commit b59283e34674e01e7d8a9cb9e28378602e6266ac
Author: Kristian Høgsberg  <krh@redhat.com>
Date:   Sun Aug 8 20:56:56 2004 +0000

    Disable legacy keyboard driver "keyboard", unless
        USE_DEPRECATED_KEYBOARD_DRIVER is defined. Print warning if the old
        driver is used.

commit 76b50be2ce52d4a13a4e1f9888c58b7a25fcf913
Author: Thomas Winischhofer <thomas@winischhofer.net>
Date:   Sat Aug 7 12:37:39 2004 +0000

    update shared libries revisions on OpenBSD to track libc ABI changes
        (committed on behalf of Matthieu Herrb)

commit 24b3872595d11c355ba7c8985c167e46b65b37a2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Aug 7 01:05:32 2004 +0000

    Fix Debian section to respect NothingOutsideProjectRoot directive

commit ac9fdc98840b1aaeb0d9f5597531eb49cd177f56
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Aug 3 09:55:49 2004 +0000

    cygwin will use the external freetype again

commit 7e0ae9f4e113bc38c38a2d38c6f8c12eae24376b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue Aug 3 07:28:55 2004 +0000

    Fix build with BuildComposite by linking the composite library into the
        servers before damage/xfixes, and enable BuildComposite by default now.
        Note that the Composite extension is still disabled at run-time by
        default.

commit c2ac021e3ddb8c720b7d73df42ffeed3cfd3df12
Author: Egbert Eich <eich@suse.de>
Date:   Mon Aug 2 19:35:07 2004 +0000

    Removed distro specific stuff.
    Fixed FreeType module to build with FreeType versions older than 2.1.7.
    Fixed typo.
    Added vtSema to protect call of driver DPMS function.
    removed unneeded variable
    Modified RandR driver hook to reduce the number of function calls to one.
        Function is sufficiently generic to be extended in the future.

commit 73f5876a7906e28f724826ad34546969d43d46b3
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 31 16:14:02 2004 +0000

    Added SharedXfixesReqs, SharedXdamageReqs and SharedXcompositeReqs

commit 4748698e20864dfc2ffd0566b50427069b63037b
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Sat Jul 31 12:29:52 2004 +0000

    Added SharedXfixesReqs, SharedXdamageReqs and SharedXcompositeReqs

commit 09fd732f8c113c2ccf9504134809f0dde58f5878
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 31 05:50:38 2004 +0000

    Bring in Xfixes, Xdamage, and Xcomposite userland from xserver CVS:
    - Update Xfixes headers to protocol major version 3.
    - Add composite headers.
    - Add libXfixes, libXdamage, and libXcomposite.
    - Add imake glue for new libraries, but leave Composite off by default
        until issues are resolved.

commit 6f9ea61baddc108676aae96905feb5168e7334eb
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Sat Jul 31 01:38:58 2004 +0000

    Integration of XEVIE branch to trunk - turn on the XEVIE build
        https://freedesktop.org/bugzilla/show_bug.cgi?id=947 Modified Files:
        X11.tmpl

commit 44c06b866ddf518703e2afe6a18ce3d2d08b3eb7
Author: Torrey Lyons <torrey@mrcla.com>
Date:   Fri Jul 30 18:22:06 2004 +0000

    Add initial Xinput support for XDarwin (Greg Parker).

commit 732a2f47eca4f12d8d2bb2c62530d5716036e9c5
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Jul 29 23:43:39 2004 +0000

    Use LibraryTargetName when not building a loadable server
    Move extern function declarations to window.h
    Cleaned up code since client's saveSet is no longer defined as a pointer*
    Added externs back in
    Change #if to #ifdef to fix compiler warning
    Add function declarations that were inadvertently removed by previous check
        in
    Disable extensions that are not (yet) supported by DMX

commit fcb07e2367cbcdd4ad74d1dc73cc7bba0a6d70a7
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Wed Jul 28 08:32:39 2004 +0000

    only set CaseSensitiveFileSystem when not CrossCompiling

commit 2d8316b9342df38c7add1f0e076f2b3232942a57
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 28 03:57:19 2004 +0000

    Fix shared reqs for Xlibi18n, Xaw6 & Xmu for Solaris
    Improved support for Compose and Kana Lock LED's on Sun keyboards
    Add event definitions for additional keys on Sun Japanese keyboards
    VUID mouse protocol support for Solaris Make default mouse message clearer
        on machines that use a default other than /dev/mouse.

commit 9c6413004f0f541c9f7d78b6a7aa52e7b34c3386
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Wed Jul 28 03:24:29 2004 +0000

    Refix for https://freedesktop.org/bugzilla/show_bug.cgi?id=909 - Disable
        build of PDF documents where GhostScript may not work at build time.

commit bb256585b0058c0effbeca9656e3288b58712fd2
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jul 27 21:32:47 2004 +0000

    added --enable-runtime-pseudo-reloc to ExtraLoadFlags use make -C dir to
        step into subdirectories define BourneShell as /bin/bash -e to have
        make stopping after a subdir failed

commit 78d651aba6c981c59a324f55070855cc7fafa563
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jul 27 20:40:41 2004 +0000

    cygwin has no freetype 2.1.9 yet. use internal freetype. I will reevaluate
        after Bug 925 has been resolved

commit 8d91dc6f510ff95e8c25a8ca8057771ed08018fe
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jul 27 09:53:14 2004 +0000

    Merge latest changes from CYGWIN branch
    Use find | xargs combination instead of simple shell globbing to prevent
        commandline argument overflow

commit c77e172f8fa7f212e3c71b11a0351d7f3db8d619
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Jul 26 16:54:21 2004 +0000

    Add LINTXLIBONLY macro to match lint library dependencies Fix
        LinkHardCopyPS macro to work with Solaris make
    config/cf/sun.cf Improved lint flags for the lint included with Sun
        compilers

commit 04adf0f48f04e4fcd0f2827df362bce698023a48
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Jul 26 10:44:40 2004 +0000

    Bugzilla #921: link without linker definition file

commit 037484fe69539d48e390c67277bfcfdca5bba7f6
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Jul 26 08:24:13 2004 +0000

    Bugzilla #912: Wraps linking of name.ps -> name.PS in an extra define which
        is empty for CaseSensitiveFileSystem == NO
    Bugzilla #912: Test for CaseSensitiveFileSystem before linking KBlib.ps.gz
        -> XKBlib.PS.gz

commit 6586de48ed16839b4a3c41b1ce12b7e6e17bc8cb
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 24 16:32:39 2004 +0000

    Bugzilla #884: OpenBSD/amd64 support.

commit f3fe0eaf090c924145efe3abdb246ed73fc3a947
Author: Eric Anholt <anholt@freebsd.org>
Date:   Fri Jul 23 17:53:33 2004 +0000

    - Remove unnecessary CppManTarget(via,) which produced multiple target
        definition warnings.
    - Change the VIA DDX to tell clients to look for unichrome_dri.so, the
        module that X.Org distributes.
    - Move the VIA DRI into DevelDRIDrivers because it is still insecure. See:
        http://dri.sourceforge.net/IRC-logs/20040628.txt

commit 2a0e5fb3a771eef065d978d7e6f04df994c1cc6b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Fri Jul 23 05:36:14 2004 +0000

    - Add a new option, BuildDevelDRIDrivers, which controls whether
        DevelDRIDrivers is non-empty. DevelDRIDrivers contains those drivers
        aren't built by default either due to being unusable on that
        architecture (but buildable for testing) or due to security concerns,
        as in the mach64 and savage cases.
    - Merge the Mach64 DDX's DRI support, under the XF86DRI_DEVEL define, which
        is set only when BuildDevelDRIDrivers is set.
    - Fix up of the sets of DRI drivers built for various architectures.
    - Fix build of unichrome DRI driver, which is now enabled on x86.

commit 01ac037c4c3773b49e1312e5bda135df02b65751
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Thu Jul 22 19:24:50 2004 +0000

    Thu Jul 22 20:03:11 2004 Soeren Sandmann <sandmann@daimi.au.dk>
    Call MMX solid fill routine when available.
    Call MMX operations when available.
    New HasGcc34 macro
    New file with many operations implemented with MMX intrinsics, conditional
        on having GCC 3.4 on i386.

commit 885dff3be727bdc026f5e7ec9d0dbca255921a33
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Jul 22 06:39:04 2004 +0000

    Bugzilla #909: Remove HasGhostScript YES default from these .cfs, as it's
        causing build failures for users on these platforms (not available, or
        fails when processing files).

commit 8a1bd001223ac0fc23cb139d64ae23ee44e5245d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jul 21 07:31:09 2004 +0000

    Remove the VENDOR_DEFINES from ALLDEFINES, as the quoting on VENDOR_DEFINES
        was breaking some old imake software, and it really doesn't seem like
        an appropriate define for all imake-using software. Instead, add it to
        the DEFINES of those pieces that need it.

commit 88cc5952b8c9d4815665e160e3ef17f25ef65e3a
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Jul 20 19:31:48 2004 +0000

    Fix for http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=899 -
        Fixing Solaris builds bustage caused by the checkin bug #891.

commit ce53e7db1430990a79e96f9ce206d6fbc4fc051c
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Jul 20 17:48:09 2004 +0000

    Tue Jul 20 19:38:06 2004 Soeren Sandmann <sandmann@daimi.au.dk>
    Set font_data->xlfd_data to NULL after XFree(). (#837, patch from Bastien
        Nocera).
    Tue Jul 20 18:23:32 2004 Soeren Sandmann <sandmann@daimi.au.dk>
    Use /dev/urandom on Linux.(#761).

commit 1644a3f4f73e24a613f0682ccbb12ae99221b031
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Jul 19 21:07:32 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=891 - Fixing some
        installation problems with hardcopy dirs.

commit 965c266bf6f0b59541c73eceefb5a26f2246b456
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 17 22:17:24 2004 +0000

    - Default to assuming that ports that can be built without the xorg pieces
        being installed are installed before the xorg build begins. #define
        HasStandardPorts NO can turn this behavior off. Also fixes some
        freetype issues related to it looking in the wrong place.
    - While here, remove some unnecessary #if nesting in threads.

commit f54e0f2e574341e0c032a2043bcab6910af4a4c1
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 17 21:16:17 2004 +0000

    Wrap CcCmd and CplusplusCmd in #ifndef to kill lots of warnings when
        changing them in host.def (common for ccache).

commit 664e6d03246c56a366cc42a735f54e9b95922d86
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 17 21:14:36 2004 +0000

    Be sure to set the DmxLibrary-related defines to NO if BuildDmxLibrary is
        NO. Kills a lot of preprocessor warnings.

commit c11dd36c89795440dd0c6fc07b532de53435f345
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Jul 13 08:55:20 2004 +0000

    Fix for http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=862 -
        Solaris performance improvements using some magic" compiler flags
        (-zlazyload -zcombreloc -xstrconst -xildoff etc.)

commit 0cfb988be34f84a64a8751277a990de4c6972107
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Jul 13 01:43:27 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=824 - SuSE Linux
        Build error in "mkfontscale.c:857: error:"

commit 02dd123e383bedc06a80c02960c5b981fa16f3ca
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Jul 6 23:50:59 2004 +0000

    - Disable building DMX on OSs that have not been verified to build
        correctly (Kevin Martin).
    - Fix DMX build when Xinerama is not enabled (Kevin Martin).

commit fe0c0b1346e9a30d58979782c2270a8a74c51cd0
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jul 6 14:37:46 2004 +0000

    Separated Intel drivers from default DriDrivers to avoid building them on
        IA64 (Egbert Eich).
    Fixed wrong function prototype (Egbert Eich).
    Don't test for generic VGA on IA64 (Egbert Eich).
    Fixed a segfault when accessing a structure before verifying the pointer
        exists (Egbert Eich).
    Added a showcache option for debugging (Egbert Eich).
    Increase default video RAM size to 16MB when DRI is enabled and more than
        128MB are available (Egbert Eich). Fixed lockups during mode switch.
        Problem was introduced when attempting to copy the behavior during
        LeaveVT()/EnterVT() but but forgetting to call I810DRILeave() before
        I810DRIEnter(). The entire DRILeave()/Enter() scenario has been
        commented out as it didn't seem to be necessary (Egbert Eich).
    Fix TweakMemorySize() (tested with i855/i865) (Egbert Eich).
    increased MAX_DEVICES to 128 (Egbert Eich).
    Use OS provided PCI config space access as default method (Egbert Eich).
    Added support for Linux 2.6 proc file format.
    Fixed unaligned accesses to pieces of the VBE info block. VESA did not
        align elements to size (Egbert Eich).

commit bfd2eb06b68637d1acc24093bdfac2ccda65dee6
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Jul 4 22:49:49 2004 +0000

    Bugzilla #757: Remove incorrect HasMotif YES defaults for linux and BSDs.
        Also fix Motif imake goop to handle motif not being in /usr/X11R6
        better.

commit 08e05f9de79f8922cc4212aba8bac81bfca8df08
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jun 30 20:06:51 2004 +0000

    Add Distributed Multihead X (DMX) support

commit a93e6bd73650c4638163f1bd324431d4dcc2968e
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Sun Jun 27 15:55:35 2004 +0000

    There is no need for a modified ComplexProgramTarget_1 any more

commit b8dda2b36df0f29cc52f1c8f0c8eee4bd48f552c
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Sat Jun 26 16:26:18 2004 +0000

    When crosscompiling do not use install -s but call strip from
        CrossCompileDir instead

commit e6deb276e47067b8099b89c1c1582802f14fcda8
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Sat Jun 26 16:21:20 2004 +0000

    Remove automatic appending of .exe to PROGRAMS in ComplexProgramTarget_1

commit 0febcd38b0098788e07b40730915e5cc32bfe3da
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Jun 25 09:45:51 2004 +0000

    include Makefile.dep with sinclude

commit b4fe3908618ec43d5b0151e4437c2c389e5ef7c0
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Jun 25 09:01:14 2004 +0000

    #Bug 785: make build of xterm configurable

commit 44624c50d08cca06ac211fc000c19dce823f2a34
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Tue Jun 22 15:14:32 2004 +0000

    enable i915 driver and deprecate i830 3D driver

commit 894750e775f6ffae34ad0859a99eeddd3af95c0e
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Jun 21 13:27:06 2004 +0000

    Bug 777: Merge from CYGWIN branch

commit 3af4363084544492683cbfcb94d75d41072d739b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:46:14 2004 +0000

    imake updates for DRI-trunk-20040613

commit f92af6fc2dcccabea7011b5db31bbc138813fd4b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Jun 13 04:50:20 2004 +0000

    Manual page X(7) does not reference Xprt(1x), xplsprinters(1x), etc.
    xc/config/cf/Imake.rules Correct comment to match rule name for
        InstallDriverSDKObjectModule
    xc/programs/Xserver/hw/xfree86/os-support/sunos/sun_kbd.c Log results of
        ioctls to probe keyboard type & layout

commit dd82ff0ef2cc35962911267abcb96bf9c78add9b
Author: Eric Anholt <anholt@freebsd.org>
Date:   Fri May 28 23:34:53 2004 +0000

    Bugzilla #640: Eliminate the XThrStub library and clean up/fix threading
        defines on FreeBSD/OpenBSD. Includes removal of
        lib/XThrStub/UIThrStubs.c after repocopy to xc/lib/X11.

commit ca4f6389619f0773636ec783d2c42a569e704763
Author: Egbert Eich <eich@suse.de>
Date:   Mon May 24 19:06:57 2004 +0000

    Fix build glitches when building modules independently using Imake.

commit b97c4f84b82423388122a5f02518fb281a676d79
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat May 22 19:20:06 2004 +0000

    Set HasMkstemp to YES on Solaris
    xc/programs/xman/man.c
    xc/programs/xman/man.h
    xc/programs/xman/misc.c
    xman cannot display SGML man pages on Solaris

commit 721fafebf3cfd58f5823ecb97dc9ac1adc5bd0ab
Author: Eric Anholt <anholt@freebsd.org>
Date:   Tue May 18 21:29:45 2004 +0000

    - Clean up xorg.cf by factoring out many common defines.
    - Make the fbdev driver only build on Linux (fbdevhw is just stubs on other
        OSes).
    - Add AFB to AMD64 build, and include XF86OSCardDrivers.
    http://freedesktop.org/cgi-bin/bugzilla/attachment.cgi?bugid=448
        http://freedesktop.org/cgi-bin/bugzilla/attachment.cgi?bugid=449

commit bde1ebc6f9626b11da56a0530ff1307a60df30fc
Author: Egbert Eich <eich@suse.de>
Date:   Thu May 6 17:31:16 2004 +0000

    BugZilla #601: Fixing makedepend choking on floating point exception
        because CHAR_BIT is defined to __CHAR_BIT__ which is a compiler
        intrinsic define. BugZilla #605: Fixing build on IA64 which is broken
        due to the inclusion of the kernel header asm/page.h. Kernel headers
        however don't work with
    -ansi. The inclusion of asm/page.h can however savely be removed as it
        there are plenty of other ways to determine the page size.

commit d19d0fc7f12a0887330330f622b6858610a377b1
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Thu May 6 15:08:25 2004 +0000

    No bugid - removing |#define HasFreetype2 NO| from xc/config/cf/site.def
        which was checked-in accidently with one of my recent patches. Sorry...

commit 748dbd1782ba839fd81f1d4b3b3d12cf258ec07a
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue May 4 22:58:59 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=595 -
        RFE: Retire XTT font module and FreeType1 from xorg tree. The
        functionality of XTT has been integrated into the FreeType font module
        and the old XTT1.x code (incl. FreeType1 in xc/extras/) is no longer
        needed anymore.

commit a759a065c3ad4ac288e5770735b1928e857843bb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 26 02:39:57 2004 +0000

    xc/config/cf/sun.cf
    xc/config/cf/sv4Lib.rules
    xc/programs/Xserver/Imakefile
    xc/programs/Xserver/hw/xfree86/os-support/sunos/find_deps.pl Make Solaris
        builds work when using MakeDllModules (it's not the default yet, but at
        least it works now if you turn it on) Also improve default compiler,
        optimizer, & linker flags for Solaris builds using either Sun cc or gcc
    xc/programs/Xserver/cfb/Imakefile.inc
    xc/programs/Xserver/cfb/stipsparc.s
    xc/programs/Xserver/cfb/stipsprc32.s Remove text relocation error when
        building shared versions

commit 21c3ff0a21a18bf7242fb92857245b19e9f34745
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Apr 25 23:06:26 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=547 -
        RFE: Disable FONTCACHE extension in the Xorg default build

commit 94eeb6d89d65e4818d62093fe1b3c40b4180d827
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Apr 25 22:54:00 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=549 -
        RFE: Xorg default build should run with |BuildType1| set to |NO| (The
        xc/lib/font/FreeType/ font rasterizer will now handle PBA/PFB fonts by
        default).

commit 064ef4db36b71b03ec920e5934633af9c9ddaf82
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sun Apr 25 22:34:12 2004 +0000

    Fix for http://pdx.freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=548 -
        RFE: Remove Speedo font support from the Xorg default build

commit d32b8d447fd6b91294fc73b406a98b45fdf0611a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Apr 24 23:39:25 2004 +0000

    XOpenDisplay should try tcp connection if local connections fail (aka Sun
        bug id #4624183).
    Also includes fix from NetBSD Problem Report #25098 (Michael van Elst)
        (Xlib segfaults with IPv6 if compiled with HASXDMAUTH).
    xc/config/cf/sunLib.tmpl
    xc/lib/FS/Imakefile Add missing shared library dependencies for Solaris

commit a3ff52d12aa7d5f4e5a138bc7c62b5f44d29e8b4
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:41:59 2004 +0000

    Merging XORG-CURRENT into trunk

commit 2ca96d133adb9063b728d9b70827ba8c750e209a
Author: Egbert Eich <eich@suse.de>
Date:   Tue Mar 23 12:46:30 2004 +0000

    file xorgsite.def was initially added on branch XORG-RELEASE-1-TM.

commit 1912c1edc51b610efbac2ad9127cd5623fa4a12b
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 17 20:18:12 2004 +0000

    file xorg.cf was initially added on branch XORG-RELEASE-1-TM.

commit 8b19ad0b8f884e7978cabeb4a63a60c328225582
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 17 20:18:12 2004 +0000

    file xorg.tmpl was initially added on branch XORG-RELEASE-1-TM.

commit cc997af0f29c37a18f5785582c866b28f3a1204b
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:27:25 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 8ba8d0cc309746d7944325bf8b9fda480a33b187
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:09:38 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 7a4946bb20fa6bbfabda5e536afc6745fba5b69a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:34:15 2004 +0000

    readding XFree86's cvs IDs

commit 42f2be27111fad93eaa75b87dacd4a7904c470ec
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:21:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b90aa2f43159e264e0811160df32c6da88ee8b66
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:33:15 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit 0f069ce681ea5268712b6cb19a7baae1dea4550a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:06:33 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit b777f9330ca35d78ee1fdfd69cfd90023c08da7a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:52:51 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 609e67134f76f287a2b83d5b62bc53bce57253fa
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:01:30 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit ea2a0b7d5958a702bdbcecc17c9c4dea8ce6def5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:26:55 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 272f68b2bffd736cede856a96231afe237261c8d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:20 2003 +0000

    XFree86 4.3.0.1

commit 978fce56ab5d93678618fad722f69c464df12c3f
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:20 2003 +0000

    Initial revision

commit eed72b25dc7cb310799989a441f16e1ef346d424
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:29 2003 +0000

    R6.6 is the Xorg base-line
